Associate EmbedFilterGroup

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/embedfiltergroup

Embed filters are used to set up (parameterized) filters on one or more datasets, which will always be applied when those datasets are queried in an embedded context. For each organization you can only have a single embedFilterGroup. Via our UI, the Embed filter group is automatically created when an organization owner user has set up the first embed filter. The (parameterized) dataset filters are specified on the association between the embed filter group and a dataset (see below). To override the default parameter value(s) (or clear the parameterized filter(s)), you should use the parameter_overrides property in the Authorization request (see Authorization resource properties ).

EmbedFilterGroups are explicitly connected to datasets through the Securables role and implicitly connected to the organization and the user who first created it. The association requires a non-empty filters array. Every filter must use origin: global ; a supplied securable_id must match the associated dataset, and a supplied column_id must belong to that dataset.

Request parametersResponse schema
id UUID

The unique identifier of the entity

Can be executed by:
Entity Owner
&
Securable Reader
(For: Securable)
Can be associated to:
Organization
User
Securables
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "8014daa9-bc79-42ee-b71d-81dc1525a3c8"
}